This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456065 - Kernel hangs during ohci-hcd stress testing
Kernel hangs during ohci-hcd stress testing
Status: CLOSED DUPLICATE of bug 455843
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 06:57 EDT by Vitaly Mayatskikh
Modified: 2008-07-24 02:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 02:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaly Mayatskikh 2008-07-21 06:57:47 EDT
Insert any h/w into ohci usb port, run two scripts in parallel:

$ while true; do rmmod ohci; modprobe ohci; done

$ while true; do lsusb; done > /dev/null

It's better to run 2-3 lsusb loops simultaneously. lsusb script outputs:

cannot read device descriptor No such device (19)
cannot read device descriptor No such device (19)
cannot open /proc/bus/usb/002/001, No such file or directory (2)

And kernel silently hangs in several minutes. Verified on x86_64 and ppc64 machines.
Comment 2 Vitaly Mayatskikh 2008-07-24 02:46:17 EDT

*** This bug has been marked as a duplicate of 455843 ***

Note You need to log in before you can comment on or make changes to this bug.